Page MenuHomePhabricator

"back" in map full screen should return to article
Closed, ResolvedPublic

Description

When user enters map full screen mode, clicking "back" is not the same as "cancel". This might affect mobile users, as they might not see the "close" button at all due to the screen size.

@jhobs, weren't you solving this exact problem for Zero? Any suggestions for maps full screen code? Try it here.

Event Timeline

Yurik created this task.Mar 5 2016, 1:47 AM
Restricted Application added a project: Discovery. · View Herald TranscriptMar 5 2016, 1:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Yurik moved this task from Unsorted to UI tasks on the Maps (Kartographer) board.Mar 5 2016, 1:47 AM
Deskana moved this task from Needs triage to Maps on the Discovery board.Mar 5 2016, 2:34 AM

@Yurik My solution was adding a route (via url hash) for the dialogs and inserting them into the page history. Then, listen to the route change event and exit fullscreen if there's no hash fragment.

JGirault claimed this task.Apr 6 2016, 10:38 PM

Change 283374 had a related patch set uploaded (by JGirault):
Adds a router to Kartographer, fixes back button in fullscreen mode, and allows sharing a link that opens a map in fullscreen mode.

https://gerrit.wikimedia.org/r/283374

Change 283374 merged by jenkins-bot:
Adds a router to Kartographer, fixes back button in fullscreen mode, and allows sharing a link that opens a map in fullscreen mode.

https://gerrit.wikimedia.org/r/283374

JGirault closed this task as Resolved.May 26 2016, 12:50 AM